var progress = 0;

var qno = 1;

var qlen = 100;
var step = 0;

var qPath = "localhost:8000/anketa/pitanja.xml"

function loadQuestion(){
  $.ajax({
    type: "GET",
    url: "pitanja.xml",
    dataType: "xml",
    success: function(xml) {
      if(qno <= qlen)
      {
        $("#content").empty()
        qlen = $(xml).find('pitanje').length;
        step = 100/qlen;
       
        $(xml).find('pitanje').each(function(){
          if( $(this).find('broj').text() == qno){
            var naslov = $(this).find('broj').text();
            var text = $(this).find('tekst').text();

            $('<div id="caption"></div>').html('Pitanje broj '+naslov).appendTo("#content")
            $('<div id="text"></div>').html(text).insertAfter("#caption")
          }
        });
      
      if(progress < 100) progress+=step;
      $("#progress").animate({width:progress+"%"},"fast")
      
      qno++;      
      }
      else{
        $("#content").empty()
        $("#answers").empty()
        $("#commands").empty()
        $('<div id="caption"></div>').html('Hvala na popunjenoj anketi').appendTo("#content")
      }
    }
  })  
}

$(document).ready(function(){
  loadQuestion()  
  $("#next").click(function(){
    loadQuestion()
  })
  
});
